package com.wallpaper.perfectwallpaper.adapter;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.viewpager2.adapter.FragmentStateAdapter;


import com.wallpaper.perfectwallpaper.fragment.HomeCategoryFragment;

import java.util.List;

public class MainViewPager2Adapter extends FragmentStateAdapter {

    private final List<Fragment> fragmentList;

    public MainViewPager2Adapter(@NonNull FragmentActivity fragmentActivity, List<Fragment> fragmentList) {
        super(fragmentActivity);
        this.fragmentList = fragmentList;
    }

    @NonNull
    @Override
    public Fragment createFragment(int position) {
            return fragmentList.get(position);
    }

    @Override
    public int getItemCount() {
            return fragmentList.size();
    }
}
